IEEE80211_SCAN_COMPL(9)

NAME
ieee80211_scan_completed - completed hardware scan

SYNOPSIS

void ieee80211_scan_completed(struct ieee80211_hw * hw, bool aborted);

ARGUMENTS

hw
    the hardware that finished the scan

aborted
    set to true if scan was aborted

DESCRIPTION

When hardware scan offload is used (i.e. the hw_scan callback is assigned) this function needs to be called by the driver to notify mac80211 that the scan finished. This function can be called from any context, including hardirq context.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT